OttoLegs: Use two different hole sizes for the ankle
to allow screwing it into one side while moving freely on the other
This commit is contained in:
parent
cd3fee5e76
commit
cd0d49bf6f
|
@ -35,8 +35,11 @@ class OttoLegs(Boxes):
|
|||
self.addSettingsArgs(edges.FingerJointSettings, finger=1.0, space=1.0,
|
||||
surroundingspaces=1.0)
|
||||
self.argparser.add_argument(
|
||||
"--anklebolt", action="store", type=float, default=2.5,
|
||||
help="diameter for hole for ankle bolts")
|
||||
"--anklebolt1", action="store", type=float, default=2.5,
|
||||
help="diameter for hole for ankle bolts - foot side")
|
||||
self.argparser.add_argument(
|
||||
"--anklebolt2", action="store", type=float, default=3.2,
|
||||
help="diameter for hole for ankle bolts - leg side")
|
||||
|
||||
def foot(self, x, y, ly, l, r=5., move=None):
|
||||
if self.move(x, y, move, True):
|
||||
|
@ -59,7 +62,7 @@ class OttoLegs(Boxes):
|
|||
|
||||
def ankle2(self):
|
||||
# from vertical edge
|
||||
self.hole(15, 10, self.anklebolt/2)
|
||||
self.hole(15, 10, self.anklebolt1/2)
|
||||
|
||||
def servoHole(self):
|
||||
self.hole(6, 6, 11.6/2)
|
||||
|
@ -86,7 +89,7 @@ class OttoLegs(Boxes):
|
|||
self.rectangularWall(lx, lh-7., [LegEdge(self, None), "f", "F", "f"], callback=[None, lambda:self.fingerHolesAt(ws-7., 0, lx)], move="right")
|
||||
# back
|
||||
self.rectangularWall(lx, lh, "FfFf", callback=[
|
||||
lambda:self.hole(lx/2, 7, self.anklebolt/2)], move="right")
|
||||
lambda:self.hole(lx/2, 7, self.anklebolt2/2)], move="right")
|
||||
# sides
|
||||
self.rectangularWall(ly, lh, e, callback=[None,
|
||||
lambda:self.fingerHolesAt(ws, 7.0, ly-7.0)], move="right")
|
||||
|
|
Loading…
Reference in New Issue